Bug 1187097 - Too much logging
Summary: Too much logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-sasl
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1274734
TreeView+ depends on / blocked
 
Reported: 2015-01-29 10:47 UTC by Pavel Reichl
Modified: 2016-06-01 01:27 UTC (History)
6 users (show)

Fixed In Version: cyrus-sasl-2.1.26-23.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1273580 1274734 (view as bug list)
Environment:
Last Closed: 2015-06-13 06:38:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Reichl 2015-01-29 10:47:28 UTC
cyrus-sasl is producing too much useless logging messages into syslog. When sucessfull login hapens following lines are generated:
GSSAPI client step 1
GSSAPI client step 1
GSSAPI client step 1
GSSAPI client step 2

Version-Release number of selected component (if applicable):
rpmquery cyrus-sasl
cyrus-sasl-2.1.26-19.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
log in successfully via SSH

Additional info:
Bug was originally reported against SSSD - https://fedorahosted.org/sssd/ticket/2561

Comment 1 Jakub Jelen 2015-03-10 13:01:11 UTC
If I am right, the call
> params->utils->log(NULL, SASL_LOG_DEBUG,

should get some conn, as the other calls from this or other plugins, like this:
> params->utils->log(params->utils->conn, SASL_LOG_DEBUG,

which would give as context for logging, possibility to filter log_levels and preferably ability to use some additional callbacks.

But I don't have any reproducer here to test the behaviour and results. Can you provide me some, or can you test it with this "fix"?

Comment 2 Pavel Reichl 2015-03-23 15:48:08 UTC
Hello Jakub,

sorry for late reply. I tried little experimenting with gdb and it seems to me, that it could work - my provided callback was used.

I'm sorry but my testing environment is set of local VMs and it not easy to recreate it using VMs from publicly accessible lab.

But If you provide me with updated package I can test if this bug goes away. 

Do you have any idea why NULL was passed instead of 'params->utils->conn'?

Thanks.

Comment 3 Jakub Jelen 2015-03-24 12:38:18 UTC
I made scratch build with this change (putting conn to log calls):
http://koji.fedoraproject.org/koji/taskinfo?taskID=9310018

Unfortunately, I am not yet enough knowledgeable about cyrus-sasl internals so I got inspired with with some other plugins.

This is in git probably from the beginning of GSSAPI plugin and probably copy&pasted from other plugins? The origin is hard to track.

As you can notice, some plugins do log with params->utils->conn (anonymous, digestmd5, gs2) and some not without it (quite much all the others). You can see it with grep on upstream git:
# git grep "utils->log("

If it will solve your problem and will be helpful for you, we can try to push it to upstream.

Comment 7 Pavel Reichl 2015-03-27 14:22:58 UTC
Fix solves the problem in SSSD, so yes, please try to propagate it to upstream.

Any idea how long it could take?

Comment 8 Jakub Jelen 2015-03-27 14:31:27 UTC
I don't know. I see they reacted quite fast on mailing list when you were discussing this topic so if we agree with them on some changes, they can be in fedora next week, I hope. I don't want to do it earlier than upstream not to cause incompatibility.

Comment 9 Jakub Jelen 2015-05-29 08:27:02 UTC
Mailing list is traditionally without any answer so I'm pusshing this change in Fedora 22 and Rawhide.

Comment 10 Fedora Update System 2015-05-29 11:14:53 UTC
cyrus-sasl-2.1.26-23.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cyrus-sasl-2.1.26-23.fc22

Comment 11 Fedora Update System 2015-05-30 15:53:15 UTC
Package cyrus-sasl-2.1.26-23.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cyrus-sasl-2.1.26-23.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9190/cyrus-sasl-2.1.26-23.fc22
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-06-13 06:38:22 UTC
cyrus-sasl-2.1.26-23.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.